package com.tuoheng.model.param;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author chenjiandong
 * @description: TODO
 * @date 2022/10/8 11:30
 */
@Data
public class CreateUserDto {

    @NotEmpty(message = "username can not be empty!")
    private String username;

    @NotEmpty(message = "password can not be empty!")
    private String password;

    @NotNull(message = "authorities can not be null!")
    private List<String> authorities;

}
